<?php
// module: issuu_pdf_manager_default_in

if (!OOAddon::isAvailable('issuu_pdf_manager')) {
    echo 'Dieses Modul ben&ouml;tigt das <a href="http://www.redaxo.org/de/download/addons/?addon_id=1016" target="_blank">Issuu PDF Manager</a> Addon!<br />';
} else {
    // get issuu pdfs from db along with view settings
    $query = 'SELECT * FROM ' . $REX['TABLE_PREFIX'] .'1016_issuu_pdfs issuu_pdfs LEFT JOIN '. $REX['TABLE_PREFIX'] .'1016_views views ON issuu_pdfs.view_id = views.id';
    $sql = new sql();
    $sql->setQuery($query);

    if ($sql->getRows() == 0) {
        echo 'Es sind keine Issuu PDFs zum ausw&auml;hlen vorhanden!<br />Bitte f&uuml;gen Sie ein neues Issuu PDF im Addon <a href="index.php?page=issuu_pdf_manager">Issuu PDF Manager</a> hinzu.';
    } else {
        if (REX_IS_VALUE[2]) { 
            $startPageNum = 'REX_VALUE[2]';
        } else {
            $startPageNum = intval($sql->getValue('views.page_number'));
        }
?>

<div id="rex-module">
    <h2>Issuu PDF ausw&auml;hlen</h2>
    <select name="VALUE[1]">
        <?php
        for ($i = 0; $i < $sql->getRows(); $i++) {
            if ($sql->getValue('issuu_pdfs.title') != "") {
                $title = $sql->getValue('issuu_pdfs.title');
            } else {
                $title = $sql->getValue('issuu_pdfs.pdf_file');
            }
            
            if ('REX_VALUE[1]' == $sql->getValue('id')) {
                $selectedAttribute = ' selected="selected"';
            }
            
            echo '<option value="' . $sql->getValue('id') . '"' . $selectedAttribute . '>' . $title . '</option>';
            unset($selectedAttribute);
            $sql->next();
        }
        ?>
    </select><br />
    
    <div class="spacer"></div>
    
    <h2>Seite anzeigen</h2>
    Nummer: <input type="text" name="VALUE[2]" value="<?php echo $startPageNum; ?>" size="2" />

    <div class="spacer"></div>

    Hinweis: Weitere Issuu PDFs k&ouml;nnen im <a href="index.php?page=issuu_pdf_manager">Issuu PDF Manager</a> Addon hinzugef&uuml;gt werden.
</div>

<style type="text/css">
#rex-module h2 {
    font-weight: bold;
    font-size: 13px;
    margin-bottom: 3px;
}

#rex-module h2:after {
    content: ":";
}

#rex-module .spacer {
    height: 15px;
    display: block;
    clear: both;
}
</style>

<?php
    }
} 
?>
