<?php
$mypage = "issuu_pdf_manager";

$REX['ADDON']['rxid'][$mypage] = '1016';
$REX['ADDON']['name'][$mypage] = 'Issuu PDF Manager';
$REX['ADDON']['perm'][$mypage] = 'issuu_pdf_manager[]';
$REX['ADDON']['version'][$mypage] = '1.1.0';
$REX['ADDON']['author'][$mypage] = "Gold 'n' Bold, WebDevOne";
$REX['ADDON']['supportpage'][$mypage] = 'forum.redaxo.de';
$REX['PERM'][] = 'issuu_pdf_manager[]';
$REX['PERM'][] = 'issuu_pdf_manager[settings]';

// --- DYN
$REX['ADDON']['issuu_pdf_manager']['api_key'] = '';
$REX['ADDON']['issuu_pdf_manager']['api_secret'] = '';
$REX['ADDON']['issuu_pdf_manager']['website_url_mode'] = 'rex_server';
$REX['ADDON']['issuu_pdf_manager']['website_url'] = 'http://';
$REX['ADDON']['issuu_pdf_manager']['info_link'] = 1;
$REX['ADDON']['issuu_pdf_manager']['comments'] = 0;
$REX['ADDON']['issuu_pdf_manager']['rating'] = 0;
$REX['ADDON']['issuu_pdf_manager']['download'] = 0;
$REX['ADDON']['issuu_pdf_manager']['debug_mode'] = 0;
// --- /DYN

if ($REX['REDAXO']) {
	// includes
	require_once($REX['INCLUDE_PATH'] . '/addons/issuu_pdf_manager/functions/functions_issuu_pdf_manager.inc.php');

	// main page
	$issuuPDFsPage = new rex_be_page('Issuu PDFs verwalten', array(
		'page'=>'issuu_pdf_manager',
		'subpage'=>''
	)
	);

	$issuuPDFsPage->setHref('index.php?page=issuu_pdf_manager');

	// views page
	$viewsPage = new rex_be_page('Ansichten', array(
	  'page'=>'issuu_pdf_manager',
	  'subpage'=>'views'
	)
	);
	
	$viewsPage->setHref('index.php?page=issuu_pdf_manager&subpage=views');

	// settings page
	$settingsPage = new rex_be_page('Einstellungen', array(
	  'page'=>'issuu_pdf_manager',
	  'subpage'=>'settings'
	)
	);

	$settingsPage->setHref('index.php?page=issuu_pdf_manager&subpage=settings');

	// module page
	$setupPage = new rex_be_page('Setup', array(
	  'page'=>'issuu_pdf_manager',
	  'subpage'=>'setup'
	)
	);

	$setupPage->setHref('index.php?page=issuu_pdf_manager&subpage=setup');

	// add pages
	if (is_object($REX['USER']) && ($REX['USER']->hasPerm('issuu_pdf_manager[settings]') || $REX['USER']->isAdmin())){
		$REX['ADDON']['pages'][$mypage] = array ($issuuPDFsPage, $viewsPage, $settingsPage, $setupPage);
	} else {
		$REX['ADDON']['pages'][$mypage] = array ($issuuPDFsPage);
	}
	
	// include neccessary js files
	$header =
		PHP_EOL . '<!-- ' . $mypage . ' -->' .
		PHP_EOL . '<link rel="stylesheet" href="../files/addons/' . $mypage . '/issuu_pdf_manager.css" type="text/css" media="screen,print" />' .
		PHP_EOL . '<script type="text/javascript" src="../files/addons/' . $mypage . '/md5.js"></script>' .
		PHP_EOL . '<!-- ' . $mypage . ' -->' . PHP_EOL;

	$header_func = 'return $params[\'subject\'].\'' . $header . '\';';

	rex_register_extension('PAGE_HEADER', create_function('$params', $header_func));
}
?>
