CREATE TABLE IF NOT EXISTS `%TABLE_PREFIX%1016_issuu_pdfs` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`pdf_file` varchar(255) NOT NULL, 
	`title` varchar(255) NOT NULL,
	`description` varchar(255) NOT NULL,
	`tags` varchar(255) NOT NULL,
	`access` varchar(255) NOT NULL,
	`document_id` varchar(255) NOT NULL,
	`document_name` varchar(255) NOT NULL,
	`timestamp` varchar(255) NOT NULL,
	`view_id` int(11) NOT NULL,
	PRIMARY KEY (`id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `%TABLE_PREFIX%1016_views` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`name` varchar(255) NOT NULL,
	`layout` varchar(255) NOT NULL,
	`width` int(11) NOT NULL,
	`height` int(11) NOT NULL,
	`color` varchar(255) NOT NULL,
	`page_number` int(11) NOT NULL,
	`show_title` int(11) NOT NULL,
	`show_social` int(11) NOT NULL, 
	PRIMARY KEY (`id`)
) ENGINE=MyISAM;

INSERT INTO `%TABLE_PREFIX%1016_views` VALUES
	(1, 'Standard', 'double_page', 600, 400, '', 1, 0, 0)
ON DUPLICATE KEY UPDATE `name` = VALUES(`name`), `layout` = VALUES(`layout`), `width` = VALUES(`width`), `height` = VALUES(`height`), `color` = VALUES(`color`), `page_number` = VALUES(`page_number`), `show_title` = VALUES(`show_title`), `show_social` = VALUES(`show_social`);
