<?php
// module: issuu_pdf_manager_default_out

// get selected issuu pdf from db along with view settings
$query = 'SELECT * FROM ' . $REX['TABLE_PREFIX'] .'1016_issuu_pdfs issuu_pdfs LEFT JOIN '. $REX['TABLE_PREFIX'] .'1016_views views ON issuu_pdfs.view_id = views.id WHERE issuu_pdfs.id=REX_VALUE[1]';
$sql = new sql();
$sql->setQuery($query);

if ($sql->getRows() == 0) {
    echo '<p><em>&gt;&gt;&gt; Ausgew&auml;hltes Issuu PDF nicht gefunden! &lt;&lt;&lt;</em></p>';
} else {
	// document id
	$issuuViewer['document_id'] = '';
	$issuuViewer['document_id'] = $sql->getValue('issuu_pdfs.document_id');

	if ($issuuViewer['document_id'] == '') {
		 echo '<p><em>&gt;&gt;&gt; Dokumenten-ID ist leer! &lt;&lt;&lt;</em></p>';
	} else {
		// width and height
		if ($REX['REDAXO']) {
		    $issuuViewer['width'] = '320';
		    $issuuViewer['height'] = '240';
		} else {
		    $issuuViewer['width'] = $sql->getValue('views.width');
		    $issuuViewer['height'] = $sql->getValue('views.height');
		}

		$issuuViewer['dimensions'] = 'width: ' . $issuuViewer['width'] . 'px; height: ' . $issuuViewer['height'] . 'px;';

		// layout
		if ($sql->getValue('views.layout') == 'single_page') {
		    $issuuViewer['layout'] = '&amp;viewMode=singlePage';
		} else {
		    $issuuViewer['layout'] = '';
		}

		// page number
		if ('REX_VALUE[2]' == '1') {
		    $issuuViewer['page_number'] = '';
		} else {
		    $issuuViewer['page_number'] = '&amp;pageNumber=REX_VALUE[2]';
		}

		// color
		if ($sql->getValue('views.color') == '') {
		    $issuuViewer['color'] = '';
		} else {
		    $issuuViewer['color'] = '&amp;embedBackground=%23' . str_replace('#', '', $sql->getValue('views.color'));
		}

		// title
		if ($sql->getValue('views.show_title') == 0) {
		    $issuuViewer['title'] = '';
		} else {
		    $issuuViewer['title'] = '&amp;titleBarEnabled=true';
		}

		// social
		if ($sql->getValue('views.show_social') == 1) {
		    $issuuViewer['social'] = '';
		} else {
		    $issuuViewer['social'] = '&amp;shareMenuEnabled=false';
		}

		// swf url
		$issuuViewer['swf_url'] = 'http://static.issuu.com/webembed/viewers/style1/v2/IssuuReader.swf';
		$issuuViewer['swf_url_params'] = 'mode=mini' . $issuuViewer['layout'] . $issuuViewer['color'] . $issuuViewer['page_number'] . $issuuViewer['title'] . $issuuViewer['social'] . '&amp;backgroundColor=%23222222&amp;documentId=' . $issuuViewer['document_id'];

		// put everything together
		$issuuViewer['swf_complete_url'] = $issuuViewer['swf_url'] . $issuuViewer['swf_url_params'];
?>

<p style="<?php echo $issuuViewer['dimensions']; ?>">
	<object width="<?php echo $issuuViewer['width']; ?>" height="<?php echo $issuuViewer['height']; ?>">
		<param name="movie" value="<?php echo $issuuViewer['swf_complete_url']; ?>" />
		<param name="allowfullscreen" value="true"/>
		<param name="menu" value="false"/>
		<param name="wmode" value="transparent"/>
		<embed src="<?php echo $issuuViewer['swf_url']; ?>" type="application/x-shockwave-flash" allowfullscreen="true" menu="false" wmode="transparent" width="<?php echo $issuuViewer['width']; ?>" height="<?php echo $issuuViewer['height']; ?>" flashvars="<?php echo $issuuViewer['swf_url_params']; ?>" />
	</object>
</p>

<?php
	}
}
?>
