<?php

$func = rex_request('func', 'string');
$api_key = trim(rex_request('api_key', 'string'));
$api_secret = trim(rex_request('api_secret', 'string'));
$website_url_mode = rex_request('website_url_mode', 'string');
$website_url = rex_request('website_url', 'string');
$info_link = rex_request('info_link', 'int');
$comments = rex_request('comments', 'int');
$rating = rex_request('rating', 'int');
$download = rex_request('download', 'int');
$debug_mode = rex_request('debug_mode', 'int');

$config_file = $REX['INCLUDE_PATH'] . '/addons/issuu_pdf_manager/config.inc.php';

if ($func == 'update') {
	$REX['ADDON']['issuu_pdf_manager']['api_key'] = $api_key;
	$REX['ADDON']['issuu_pdf_manager']['api_secret'] = $api_secret;
	$REX['ADDON']['issuu_pdf_manager']['website_url_mode'] = $website_url_mode;
	$REX['ADDON']['issuu_pdf_manager']['website_url'] = $website_url;
	$REX['ADDON']['issuu_pdf_manager']['info_link'] = $info_link;
	$REX['ADDON']['issuu_pdf_manager']['comments'] = $comments;
	$REX['ADDON']['issuu_pdf_manager']['rating'] = $rating;
	$REX['ADDON']['issuu_pdf_manager']['download'] = $download;
	$REX['ADDON']['issuu_pdf_manager']['debug_mode'] = $debug_mode;

	$content = '
		$REX[\'ADDON\'][\'issuu_pdf_manager\'][\'api_key\'] = \'' . $api_key . '\';
		$REX[\'ADDON\'][\'issuu_pdf_manager\'][\'api_secret\'] = \'' . $api_secret . '\';
		$REX[\'ADDON\'][\'issuu_pdf_manager\'][\'website_url_mode\'] = \'' . $website_url_mode . '\';
		$REX[\'ADDON\'][\'issuu_pdf_manager\'][\'website_url\'] = \'' . $website_url . '\';
		$REX[\'ADDON\'][\'issuu_pdf_manager\'][\'info_link\'] = ' . $info_link . ';
		$REX[\'ADDON\'][\'issuu_pdf_manager\'][\'comments\'] = ' . $comments . ';
		$REX[\'ADDON\'][\'issuu_pdf_manager\'][\'rating\'] = ' . $rating . ';
		$REX[\'ADDON\'][\'issuu_pdf_manager\'][\'download\'] = ' . $download . ';
		$REX[\'ADDON\'][\'issuu_pdf_manager\'][\'debug_mode\'] = ' . $debug_mode . ';
	';

	if (rex_replace_dynamic_contents($config_file, str_replace("\t", "", $content)) !== false) {
		echo rex_info('Konfiguration wurde aktualisiert!');
	} else {
		echo rex_warning('Konfiguration konnte nicht gespeichert werden!');
	}
}

if (!is_writable($config_file)) {
	echo rex_warning('Konfigurationsdatei "{0}" ist nicht beschreibbar!', $config_file);
}

/* ---------------------------------------------------- */

?>


<div class="rex-addon-output">
	<div class="rex-form">

		<h2 class="rex-hl2">Einstellungen</h2>

		<form action="index.php" method="post">

			<fieldset class="rex-form-col-1">
				<div class="rex-form-wrapper">
					<input type="hidden" name="page" value="issuu_pdf_manager" />
					<input type="hidden" name="subpage" value="settings" />
					<input type="hidden" name="func" value="update" />

					<div class="rex-form-row rex-form-element-v1">
						<p class="rex-form-text">
							<label for="api_key">API-Key</label>
							<input class="rex-form-text" type="text" id="api_key" name="api_key" value="<?php echo $REX['ADDON']['issuu_pdf_manager']['api_key']; ?>" />
						</p>
					</div>

					<div class="rex-form-row rex-form-element-v1">
						<p class="rex-form-text">
							<label for="api_secret">API-Secret</label>
							<input class="rex-form-text" type="text" id="api_secret" name="api_secret" value="<?php echo $REX['ADDON']['issuu_pdf_manager']['api_secret']; ?>" />
						</p>
					</div>

					<div class="rex-form-row">
						<p class="rex-form-col-a rex-form-select">
							<label for="website_url_mode">Website URL</label>
							<select name="website_url_mode" size="1" id="website_url_mode" class="rex-form-select">
								<option value="rex_server" <?php if ($REX['ADDON']['issuu_pdf_manager']['website_url_mode'] == 'rex_server') { echo 'selected="selected"'; } ?>><?php echo $REX['SERVER']; ?></option>
								<option value="userdef" <?php if ($REX['ADDON']['issuu_pdf_manager']['website_url_mode'] == 'userdef') { echo 'selected="selected"'; } ?>>Benutzerdefiniert:</option>
							</select>
						</p>
					</div>

					<div class="rex-form-row rex-form-element-v1" id="row_userdef_url" style="display: hidden;">
						<p class="rex-form-text">
							<label for="website_url">Benutzerdef. URL</label>
							<input class="rex-form-text" type="text" id="website_url" name="website_url" value="<?php echo $REX['ADDON']['issuu_pdf_manager']['website_url']; ?>" />
						</p>
					</div>

					<div class="rex-form-row rex-form-element-v1">
						<p class="rex-form-checkbox">
							<label for="info_link">Info Link erlauben</label>
							<input type="checkbox" name="info_link" id="info_link" value="1" <?php if ($REX['ADDON']['issuu_pdf_manager']['info_link'] == 1) { echo 'checked="checked"'; } ?>>
						</p>
					</div>

					<div class="rex-form-row rex-form-element-v1">
						<p class="rex-form-checkbox">
							<label for="comments">Kommentare erlauben</label>
							<input type="checkbox" name="comments" id="comments" value="1" <?php if ($REX['ADDON']['issuu_pdf_manager']['comments'] == 1) { echo 'checked="checked"'; } ?>>
					  	</p>
					</div>

					<div class="rex-form-row rex-form-element-v1">
					  	<p class="rex-form-checkbox">
							<label for="rating">Bewertungen erlauben</label>
							<input type="checkbox" name="rating" id="rating" value="1" <?php if ($REX['ADDON']['issuu_pdf_manager']['rating'] == 1) { echo 'checked="checked"'; } ?>>
					  	</p>
					</div>

					<div class="rex-form-row rex-form-element-v1">
					  	<p class="rex-form-checkbox">
							<label for="download">Download erlauben</label>
							<input type="checkbox" name="download" id="download" value="1" <?php if ($REX['ADDON']['issuu_pdf_manager']['download'] == 1) { echo 'checked="checked"'; } ?>>
					  	</p>
					</div>

					<div class="rex-form-row">
						<p class="rex-form-col-a rex-form-select">
							<label for="debug_mode">Debug Mode</label>
							<select name="debug_mode" size="1" id="debug_mode" class="rex-form-select">
								<option value="0" <?php if ($REX['ADDON']['issuu_pdf_manager']['debug_mode'] == 0) { echo 'selected="selected"'; } ?>>Aus</option>
								<option value="1" <?php if ($REX['ADDON']['issuu_pdf_manager']['debug_mode'] == 1) { echo 'selected="selected"'; } ?>>An</option>
							</select>
						</p>
					</div>

					<div class="rex-form-row rex-form-element-v2">
						<p class="rex-form-submit">
							<input type="submit" class="rex-form-submit" name="sendit" value="aktualisieren" />
						</p>
					</div>
				</div>
			</fieldset>
		</form>
	</div>
</div>

<script type="text/javascript">
var $ = jQuery.noConflict();

$(document).ready( function() {
	$('#website_url_mode').change(function() {
  		if ($(this).val() == "userdef") {
			$('#row_userdef_url').show();
		} else {
			$('#row_userdef_url').hide();
		}
		
	});

	$('#website_url_mode').change();
});
</script>
